# Local Database

- [Delete All Local Data](https://docs.apphive.io/apphive-documentacion/reference/funciones/local-database/delete-all-local-data.md): The delete all local data method removes all the storage database.
- [Delete Local Storage Data](https://docs.apphive.io/apphive-documentacion/reference/funciones/local-database/delete-local-storage-data.md): The delete local storage data method removes all the records on the database.
- [Get Local Storage Data](https://docs.apphive.io/apphive-documentacion/reference/funciones/local-database/get-local-storage-data.md): Retrieve a value by the key from the local storage data.
- [Save Local Storage Data](https://docs.apphive.io/apphive-documentacion/reference/funciones/local-database/save-local-storage-data.md): The basic database write operation is a set which saves new data to the specified database reference, replacing any existing data at that path.
- [Set Page Value](https://docs.apphive.io/apphive-documentacion/reference/funciones/local-database/set-page-value.md): Set values or change a value on a element.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/local-database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
